
def find_item(garden,item):
    for i,line in enumerate(garden):
        for j,it in enumerate(line):
            if it == item:
                return (i,j)
    return None


def swap_items(garden1,garden2,pos1,pos2):
    i1,j1 = pos1
    i2,j2 = pos2
    garden1[i1][j1], garden2[i2][j2] = garden2[i2][j2], garden1[i1][j1]


def clean_helper(my_garden, neighbors_garden, plant1, plant2):
    while True:
        a = find_item(my_garden,plant1)
        b = find_item(neighbors_garden,plant2)
        if a and b:
            swap_items(my_garden,neighbors_garden,a,b)
        else:
            break

def clean_garden(my_garden, neighbors_garden):
    """
    Bytt ut all "rock" med "strawberry", og "moss" med "raspberry" fra naboen sin hage
    så lenge det finnes muligheter for bytte.

        Args:
            my_garden - din hage
            neighbors_garden - naboen sin hage
    """
    clean_helper(my_garden, neighbors_garden, "rock", "strawberry")
    clean_helper(my_garden, neighbors_garden, "moss", "raspberry")



if __name__ == "__main__":

    my_garden = [
        ["grass", "moss"],
        ["moss", "strawberry"],
        ["moss","rock"]
    ]

    other_garden = [
        ["grass", "raspberry"],
        ["grass", "strawberry"],
        ["strawberry","rock"]
    ]

    clean_garden(my_garden, other_garden)

    my_after = [
        ['grass', 'raspberry'],
        ['moss', 'strawberry'],
        ['moss', 'strawberry']
    ]
    other_after = [
        ['grass', 'moss'],
        ['grass', 'rock'],
        ['strawberry', 'rock']
    ]

    if my_after == my_garden and other_after == other_garden:
        print('OK!')
